Search for hook

Functions & methods

NameLocationDescription
bootstrap_hooksincludes/bootstrap.incDefine the critical hooks that force modules to always be loaded.
comment_hook_infomodules/comment/comment.moduleImplementation of hook_hook_info().
drush_devel_fn_hook./devel.drush.incCommand handler. Show hook implementations
hook_accessdeveloper/hooks/node.phpDefine access restrictions.
hook_actions_deletedeveloper/hooks/core.phpExecute code after an action is deleted.
hook_action_infodeveloper/hooks/core.phpDeclare information about one or more Drupal actions.
hook_action_info_alterdeveloper/hooks/core.phpAlter the actions declared by another module.
hook_blockdeveloper/hooks/core.phpDeclare a block or set of blocks.
hook_bootdeveloper/hooks/core.phpPerform setup tasks. See also, hook_init.
hook_commentdeveloper/hooks/core.phpRespond to comment actions.
hook_crondeveloper/hooks/core.phpPerform periodic actions.
hook_db_rewrite_sqldeveloper/hooks/core.phpRewrite database queries, usually for access control.
hook_deletedeveloper/hooks/node.phpRespond to node deletion.
hook_disabledeveloper/hooks/install.phpPerform necessary actions before module is disabled.
hook_elementsdeveloper/hooks/core.phpAllows modules to declare their own Forms API element types and specify their default values.
hook_enabledeveloper/hooks/install.phpPerform necessary actions after module is enabled.
hook_exitdeveloper/hooks/core.phpPerform cleanup tasks.
hook_file_downloaddeveloper/hooks/core.phpControl access to private file downloads and specify HTTP headers.
hook_filterdeveloper/hooks/core.phpDefine content filters.
hook_filter_tipsdeveloper/hooks/core.phpProvide tips for using filters.
hook_flush_cachesdeveloper/hooks/core.phpAdd a list of cache tables to be cleared.
hook_footerdeveloper/hooks/core.phpInsert closing HTML.
hook_formdeveloper/hooks/node.phpDisplay a node editing form.
hook_formsdeveloper/hooks/core.phpMap form_ids to builder functions.
hook_form_alterdeveloper/hooks/core.phpPerform alterations before a form is rendered.
hook_form_FORM_ID_alterdeveloper/hooks/core.phpProvide a form-specific alteration instead of the global hook_form_alter().
hook_helpdeveloper/hooks/core.phpProvide online user help.
hook_hook_infodeveloper/hooks/core.phpExpose a list of triggers (events) that users can assign actions to.
hook_initdeveloper/hooks/core.phpPerform setup tasks. See also, hook_boot.
hook_insertdeveloper/hooks/node.phpRespond to node insertion.
hook_installdeveloper/hooks/install.phpInstall the current version of the database schema, and any other setup tasks.
hook_linkdeveloper/hooks/core.phpDefine internal Drupal links.
hook_link_alterdeveloper/hooks/core.phpPerform alterations before links on a node or comment are rendered.
hook_loaddeveloper/hooks/node.phpLoad node-type-specific information.
hook_localedeveloper/hooks/core.phpAllows modules to define their own text groups that can be translated.
hook_maildeveloper/hooks/core.phpPrepare a message based on parameters; called from drupal_mail().
hook_mail_alterdeveloper/hooks/core.phpAlter any aspect of email sent by Drupal. You can use this hook to add a common site footer to all outgoing email, add extra header fields, and/or modify the email in any way. HTML-izing the outgoing email is one possibility. See also drupal_mail().
hook_menudeveloper/hooks/core.phpDefine menu items and page callbacks.
hook_menu_alterdeveloper/hooks/core.phpAlter the data being saved to the {menu_router} table after hook_menu is invoked.
hook_menu_link_alterdeveloper/hooks/core.phpAlter the data being saved to the {menu_links} table by menu_link_save().
hook_nodeapideveloper/hooks/core.phpAct on nodes defined by other modules.
hook_node_access_acknowledge./devel_node_access.api.phpAcknowledge ownership of 'alien' grant records.
hook_node_access_explain./devel_node_access.api.phpExplain your records in the {node_access} table.
hook_node_access_recordsdeveloper/hooks/core.phpSet permissions for a node to be written to the database.
hook_node_grantsdeveloper/hooks/core.phpInform the node access system what permissions the user has.
hook_node_infodeveloper/hooks/node.phpDefine module-provided node types.
hook_node_operationsdeveloper/hooks/core.phpAdd mass node operations.
hook_node_typedeveloper/hooks/node.phpAct on node type changes.
hook_openiddeveloper/hooks/core.phpAllow modules to modify the OpenID request parameters.
hook_permdeveloper/hooks/core.phpDefine user permissions.